<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999,2000 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################

include("../include/irm.inc");
require_once 'lib/Config.php';
require_once 'include/i18n.php';

AuthCheck("tech");
commonHeader(_("Networking Connector Wizard") . " - " . _("Step 2 of 3"));
?>

<p>
<form method=get action="<?php echo Config::AbsLoc('users/networking-connecter-3.php'); ?>">
<?php
__("Choose a computer:");

$DB = Config::Database();
if ($type == "name") {
	$likecomp = $DB->getTextValue("%$comp%");
	$query = "SELECT ID,name,location from computers WHERE (name LIKE $likecomp)";
} else {
	$comp = $DB->getTextValue($comp);
	$query = "SELECT ID,name,location from computers WHERE ID = $comp";
} 
$data = $DB->getAll($query);
PRINT "<select size=1 name=dID>";
foreach ($data as $result)
{
	$dID = $result["ID"];
	$name = $result["name"];
	$location = $result["location"];
	PRINT "<option value=$dID>$name ($location)</option>";
}
PRINT "</select><input type=hidden name=device_type value=1><input type=hidden name=go_back value=\"$go_back\"><input type=hidden name=pID1 value=$pID1><input type=submit value=\""._("Continue")." ->\"></form>";

commonFooter();
?>
